PortalQueryParameters class final
Defines a query on a portal.
To query a portal for items or groups, use Portal.findItems or Portal.findGroups.
Constructors
-
PortalQueryParameters({required String query, Envelope? boundingBox, List<
String> categories = const [], String filter = '', int limit = limitDefault, bool searchPublic = true, String sortField = '', PortalQuerySortOrder sortOrder = PortalQuerySortOrder.ascending, int startIndex = 1}) - Creates a portal query parameters object with the given properties.
- PortalQueryParameters.forGroups({required String owner, required String title})
-
Creates a portal query parameters object that will find groups with the given owner
and title.
factory
-
PortalQueryParameters.forItems({List<
PortalItemType> types = const [], String owner = '', String groupId = '', String searchString = ''}) -
Creates a portal query parameters object that will find items that satisfy the
specified criteria.
factory
- PortalQueryParameters.item(String itemId)
-
Creates a portal query parameters object that will find an item with a specified
item ID.
factory
Properties
- boundingBox ↔ Envelope?
-
The bounding box for a spatial search, which is an overlaps/intersects function of
the query bounding box and the extent of the document. Documents that have no
extent (e.g., mxds, 3dds, lyr) will not be found when doing a bounding box search.
The bounding box must have a SpatialReference. If the spatial reference is not
WGS84, it will be projected to WGS84 when it is applied.
getter/setter pair
-
categories
↔ List<
String> -
An array of content category specifications to use when searching for items using
Portal.findItems.
getter/setter pair
- filter ↔ String
-
Structured filtering is accomplished by specifying a field name followed by a colon
and the term you are searching for with double quotation marks.
getter/setter pair
- hashCode → int
-
The hash code for this object.
no setterinherited
- limit ↔ int
-
The maximum number of results to be returned in each result set. Defaults to 10.
The maximum allowed value is 100. Use along with startIndex to paginate the results.
getter/setter pair
- query → String
-
The query string specified for the search.
final
- runtimeType → Type
-
A representation of the runtime type of the object.
no setterinherited
- searchPublic ↔ bool
-
Whether public items outside the organization may be included in the search results. Defaults to true.
getter/setter pair
- sortField ↔ String
-
A string containing one or more fields names, comma separated, specifying the field(s) to sort the results by.
getter/setter pair
- sortOrder ↔ PortalQuerySortOrder
-
The order of osrting. Defaults to PortalQuerySortOrder.ascending.
getter/setter pair
- startIndex ↔ int
-
The result number of the first entry in the result set response. The index number is 1-based. Defaults to 1.
Use along with limit to paginate the results.
getter/setter pair
Methods
-
noSuchMethod(
Invocation invocation) → dynamic -
Invoked when a nonexistent method or property is accessed.
inherited
-
toString(
) → String -
A string representation of this object.
inherited
-
withNextStartIndex(
int nextStartIndex) → PortalQueryParameters -
Returns a copy of this PortalQueryParameters with startIndex replaced by
nextStartIndex.
Operators
-
operator ==(
Object other) → bool -
The equality operator.
inherited
Constants
- limitDefault → const int
- The default limit for the number of results to be returned in each result set.
- limitMaximum → const int
- The maximum limit for the number of results to be returned in each result set.